Package com.pixelmed.apps

# Class DeidentifyAndRedactWithOriginalFileName

java.lang.Object
com.pixelmed.apps.DeidentifyAndRedact
com.pixelmed.apps.DeidentifyAndRedactWithOriginalFileName

public class DeidentifyAndRedactWithOriginalFileName extends DeidentifyAndRedact

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.apps.DeidentifyAndRedact

`DeidentifyAndRedact.OurMediaImporter, DeidentifyAndRedact.RedactionRegions`

## Field Summary

### Fields inherited from class com.pixelmed.apps.DeidentifyAndRedact

`failedSet, ourCalledAETitle`

## Constructor Summary

Constructors
Constructor
Description
`DeidentifyAndRedactWithOriginalFileName(String inputPathName, String outputFolderName, String redactionControlFileName, boolean decompress, boolean keepAllPrivate)`
`DeidentifyAndRedactWithOriginalFileName(String inputPathName, String outputFolderName, String redactionControlFileName, boolean decompress, boolean keepAllPrivate, boolean addContributingEquipmentSequence)`
`DeidentifyAndRedactWithOriginalFileName(String inputPathName, String outputFolderName, String redactionControlFileName, boolean decompress, boolean keepAllPrivate, boolean addContributingEquipmentSequence, AttributeList replacementAttributes)`
`DeidentifyAndRedactWithOriginalFileName(String inputPathName, String outputFolderName, String redactionControlFileName, boolean decompress, boolean keepAllPrivate, AttributeList replacementAttributes)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
`protected String`
`makeOutputFileName(String outputFolderName, String inputFileName, String sopInstanceUID)`
Make a suitable file name to use for a deidentified and redacted input file.

### Methods inherited from class com.pixelmed.apps.DeidentifyAndRedact

`getFilePathNamesThatFailedToProcess`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeidentifyAndRedactWithOriginalFileName

public DeidentifyAndRedactWithOriginalFileName(String inputPathName, String outputFolderName, String redactionControlFileName, boolean decompress, boolean keepAllPrivate, boolean addContributingEquipmentSequence, AttributeList replacementAttributes) throws DicomException, Exception, IOException

Throws:
  `DicomException`
  `Exception`
  `IOException`

### DeidentifyAndRedactWithOriginalFileName

public DeidentifyAndRedactWithOriginalFileName(String inputPathName, String outputFolderName, String redactionControlFileName, boolean decompress, boolean keepAllPrivate, AttributeList replacementAttributes) throws DicomException, Exception, IOException

Throws:
  `DicomException`
  `Exception`
  `IOException`

### DeidentifyAndRedactWithOriginalFileName

public DeidentifyAndRedactWithOriginalFileName(String inputPathName, String outputFolderName, String redactionControlFileName, boolean decompress, boolean keepAllPrivate, boolean addContributingEquipmentSequence) throws DicomException, Exception, IOException

Throws:
  `DicomException`
  `Exception`
  `IOException`

### DeidentifyAndRedactWithOriginalFileName

public DeidentifyAndRedactWithOriginalFileName(String inputPathName, String outputFolderName, String redactionControlFileName, boolean decompress, boolean keepAllPrivate) throws DicomException, Exception, IOException

Throws:
  `DicomException`
  `Exception`
  `IOException`

## Method Details

### makeOutputFileName

protected String makeOutputFileName(String outputFolderName, String inputFileName, String sopInstanceUID) throws IOException

Make a suitable file name to use for a deidentified and redacted input file.

Uses the inputFileName without any trailing ".dcm" suffix plus "_Anon.dcm" in the outputFolderName (ignoring the sopInstanceUID).

Does NOT use the full hierarchy of the inputFileName, only the base file name and does NOT check whether or not the generated file name already exists, so may cause any existing or duplicate base file name to be silently overwritten.

Overrides the default method in the parent class.

Overrides:
  `makeOutputFileName` in class `DeidentifyAndRedact`
Parameters:
  `outputFolderName` - where to store all the processed output files
  `inputFileName` - the path to search for DICOM files
  `sopInstanceUID` - the SOP Instance UID of the output file
Throws:
  `IOException` - if a filename cannot be constructed

### main

public static void main(String[] arg)